<?php

// extended parameters for 
// Caroussel module

/*
        <background>#000000</background>    <!-- #RRGGBB, transparent -->
        <friction>20</friction>              <!-- [1,100] -->
        <fullscreen>true</fullscreen>      <!-- true, false -->
         <fieldOfView>55</fieldOfView>       <!-- [1,179] -->

        <margins>
            <top>0</top>                                <!-- [-1000,1000] pixels -->
            <left>0</left>                              <!-- [-1000,1000] pixels -->
            <bottom>0</bottom>                          <!-- [-1000,1000] pixels -->
            <right>0</right>                            <!-- [-1000,1000] pixels -->
        </margins>
 
        <interaction>
            <flip>keyboard</fmip>            <!-- auto, mouse, keyboard -->
            <vertical>true</vertical>       <!-- true, false -->  
            <speed>15</speed>                     <!-- [-360,360] degrees per second -->
 
            <default_speed>15</default_speed>             <!-- [-360,360] degrees per second -->
            <reset_delay>30</reset_delay>                 <!-- [0,600] seconds, 0 means never reset -->
        </interaction>
 
 
        <reflection>
            <amount>100</amount>      <!-- [0,1000] pixels -->
            <blur>2</blur>            <!-- [0,100] blur amount -->
            <distance>0</distance>    <!-- [-1000,1000] pixels -->
            <alpha>50%</alpha>        <!-- [0,100] percentage -->
        </reflection>
 
        <titles>
            <style>font_size: 12px; font-family: Verdana, _serif; color: #FFCC66;</style>
            <position>above right</position>           <!-- [above, below] [left,center,right]-->
 
	<scale9>14 14 14 14</scale9>			<!-- [0,1000] pixels -->
	<padding>8 12 8 12</padding>			<!-- [-1000,1000] pixels -->
        </titles>
    </options>

*/

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

$flip = array(  l10n('3DFlip_auto'), l10n('3DFlip_mouse'), l10n('3DFlip_keyboard'));

// default values
if (!isset($ext_datas)) $ext_datas = array(
'background'	=> "#000000",
'friction'		=> "20",
'fullscreen'	=> true,
'fieldOfView'	=> "55",

//<margins>
'top'		=> "0",
'left'		=> "0",
'bottom'	=> "0",
'right'		=> "0",
//</margins>

//<interaction>
'flip'		=> 2, //mouse
'vertical'	=> false,
'speed'			=> "15",
'default_speed'	=> "15",
'reset_delay'			=> "30",
//</interaction>

//<reflection>
'amountRef'	=> "100",
'blurRef'		=> "2",
'distance'	=> "0",
'alpha'		=> "50",
//</reflection>

);

// Enregistrement de la configuration
if (isset($_POST['submit']) and !is_adviser())
{

	foreach ($ext_datas as $key =>$value)
	{
	
		if ($key == "fullscreen" or $key == "vertical")
			$ext_datas[$key] = isset($_POST['3DFlip_'.$key]);
		else
			$ext_datas[$key] = $_POST['3DFlip_'.$key];
	}
}

foreach ($ext_datas as $key => $value)
{

	if ($key == "fullscreen")
		$template->assign(array( '3DFlip_'.$key => (($ext_datas[$key]) ? 'checked="checked"': '')));
		
	elseif ($key == "flip")
	{
		$i=1;
		foreach ( $flip as $order ) //on parcours le tableau 
		{
			$template->append('3DFlip_flip',array('ID' => $i,'NAME' => $order,'SELECTED' => ($ext_datas['flip'] == $i ? 'selected' : '')));
			$i++;	
		}
	}
	else
		$template->assign(array( '3DFlip_'.$key => $ext_datas[$key]));

}

$template->assign(array('OTHERS_SCRIPT' =>
			'<script type="text/javascript" src="'.FLASHGAL_PATH.'farbtastic/farbtastic.js"></script>
			<link href="'.FLASHGAL_PATH.'farbtastic/farbtastic.css" rel="stylesheet" type="text/css"  />'));



$template->set_filenames(array('module_options' => dirname(__FILE__) . '/config.tpl'));
$template->assign_var_from_handle('MODULE_OPTIONS', 'module_options');

?>